Переполнение буфера в AMX VNC ActiveX компоненте

Дата публикации:
03.07.2007
Дата изменения:
27.02.2008
Всего просмотров:
1067
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AMX VNC ActiveX Control 1.x
Уязвимые версии: AMX VNC ActiveX 1.0.13.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в Amx.AmxVncCtrl.1 (AmxVnc.dll) ActiveX компоненте при обработке определенных свойств ("Host", "LogFile" и "Password"). Удаленный пользователь может с помощью специально сформированного Web сайта передать уязвимому компоненту слишком длинную строку свойств, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: AMX Corp. VNC ActiveX Control (AmxVnc.dll 1.0.13.0) BoF Exploit

или введите имя

CAPTCHA